GIS - Support #15265

Setup weather station in CSR
15/11/2023 16:29 - Philippe May

Status: Resolved Start date: 15/11/2023
Priority: Normal Due date:

Assignee: Philippe May % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

That WS AmbiantWeather 2902A was used previously in Sunship by AV Consulting, and is being relocated to CSR office after the
failure of our WS (same model).

Track info for setting up the WS here in this ticket.

Related issues:

Related to GIS - Support #15276: Setup ecowitt2mqtt for weather station to mqtt Resolved 27/11/2023
Related to GIS - Support #15215: CSR Weather Station Resolved 09/10/2023
History

#1 - 15/11/2023 16:39 - Philippe May

| downloaded the AmbientWeather app on smartphone and could connect to WIFI on the console.
Tried with AmbientWeather.net, but:

e our account is old and we could not recover the password - doesn't matter much as ew don't have any active WS there anymore
e the WS was still registered and AmbientWeather.net refused to assign it to another account.

So: trying with WUnderground.com:

¢ Account email address changed to avcsrgeomatics@gmail.com (credentials hold by Giulio)
e Created on the web site: ID:IAUROV8,KEY:mKnHQOEXx

#2 - 15/11/2023 16:39 - Philippe May
- Subject changed from Setp weather station in CSR to Setup weather station in CSR

- Description updated

#3 - 15/11/2023 17:01 - Philippe May

See https://www.wunderground.com/dashboard/pws/IAUROV8
It's not clear which WS the console is connected to - maybe the old one on the roof actually?
| also reset the rain total counter on the console; as it showed the upper limit (6000) so it is now 0.

#4 - 17/11/2023 11:37 - Selvarani C

- File 16-11-2023-2.50 AM.jpeg added

- File 16-11-2023-10.17 AM.jpeg added

- File 16-11-2023-11.25 AM-After the Rain.jpeg added
- File 17-11-2023-10.00 AM.jpeg added
- File 16-11-2023-5.00 AM.jpeg added

From Yesterday, | have taken some photos of console.
i have attache here below for your reference. wind is keep changing and we can see the rain measure of just now rained in the console.

#5 - 22/11/2023 19:02 - Philippe May

- Status changed from New to In Progress

The new weather station is on the map and data accessible here: https:/gis.avcsr.org/measures/avsm_misc.weather_station/2 . It is recorded with
weather station id=2 than the old one (4).

Temperature, wind, pressure is recorded, but rainfall shows 0 - it needs to be checked when it rains.

#6 - 23/11/2023 10:51 - Selvarani C
- File 2023-11-22 at 10.00.04 AM.jpeg added

It is recording the Rain also, i have taken the photo of it yesterday morning with Rain measure. Here i am attaching for your reference.

#7 - 23/11/2023 10:59 - Selvarani C
- File 2023-11-23 at 10.56.35 AM.jpeg added

One more photo at 10.56 AM

#8 - 23/11/2023 12:41 - Philippe May

@selvarani: that's fine, no need to add more pictures of the console, the data is available here:
https://www.wunderground.com/dashboard/pws/IAUROV8

Gisaf stopped reading last night. Error log indicates it is probably related to https:/github.com/agronholm/apscheduler/issues/803 (bug in early version
of apscheduler 4).

Updating apscheduler, then i'll check if this solves the issue:

pdm update apscheduler

#9 - 24/11/2023 11:01 - Selvarani C

+1.png

#10 - 26/11/2023 16:47 - Philippe May

For information, i found a web page telling more about the device: https:/www.wxforum.net/index.php?topic=40730.0

It seems that the hardware is OEM manufactured by a Chinese company called FineOffset, see https:/www.foshk.com/.
#11 - 26/11/2023 16:57 - Philippe May

Just found this project: https:/github.com/bachya/ecowitt?2maqtt

The goal would be to set up the WS send data to our server directly, instead of depending on cloud services (AmbientWeather or

WeatherUndergroud). For example right now, it seems there's a network or power supply issue since last night so the WS data for that time is lost.

| think it's worth giving it a shot.

#12 - 27/11/2023 14:55 - Philippe May
- Related to Support #15276: Setup ecowitt2maqtt for weather station to mqtt added

#13 - 28/11/2023 13:00 - Philippe May

Got the WS send data to the local server, and data published to mqtt (see #15276).

Next: Gisaf reactor to listen to the ecowitt2mqtt_local channel and save to the DB.

#14 - 29/11/2023 13:11 - Philippe May

| added the remaining piece that saves the WS data using this new method, not using any cloud service (AmbientWeather or WUnderground):

Weather station -> console -> local server: [ecowitt2mqtt -> mqtt -> gisaf reactor -> database]

Data like temperature, pressure seems ok (eg. check https:/gis.avcsr.org/measures/avsm_misc.weather_station/2).

Waiting for rain to come to validate for the rainfall sensor and resolve this ticket.

Refs: https://redmine.auroville.org.in/projects/device-connection-interfaces/repository/revisions/64baefda18cc6237dacaa58093a25a62b1f8e592

#15 - 29/11/2023 17:34 - Philippe May

- Status changed from In Progress to Resolved

Rain has come, and it seems to be all good bowtie.png

#16 - 30/11/2023 15:55 - Philippe May

| also updated the notebook which creates the "widget" which shows the latest rainfall (as displayed on the home page): it now uses that new weather

station.

#17 - 05/12/2023 13:10 - Philippe May
- Related to Support #15215: CSR Weather Station added

Files

17-11-2023-10.00 AM.jpeg 154 KB 17/11/2023 Selvarani C

16-11-2023-11.25 AM-After the Rain.jpeg 152 KB 17/11/2023 Selvarani C

16-11-2023-5.00 AM.jpeg 129 KB 17/11/2023 Selvarani C

16-11-2023-2.50 AM.jpeg 140 KB 17/11/2023 Selvarani C
16-11-2023-10.17 AM.jpeg 112 KB 17/11/2023 Selvarani C
2023-11-22 at 10.00.04 AM.jpeg 145 KB 23/11/2023 Selvarani C
2023-11-22 at 10.56.35 AM.jpeg 139 KB 23/11/2023 Selvarani C
